Subject: Re: bug#52901: 26.3; (emacs) `Completion Styles': provide more guidance

From: Eli Zaretskii <[email-masked]>
Date: Thu, 30 Dec 2021 20:07:15 +0200

> From: Drew Adams <[email-masked]>
> Date: Thu, 30 Dec 2021 17:25:01 +0000
> 
> 1. Mention `completion-styles-alist', as does the doc string of
>    `completion-styles'.  (We do mention `completion-category-overrides',
>    at least.)

The alist variable is documented in the ELisp manual, since it is not
of interest to users.  I added a cross-reference to there.

> 2. Say something about combinations of the styles.  The completion
>    behavior depends on the combination that's the value of option
>    `completion-styles'.
> 
>    It's not enough to describe each predefined style individually, and
>    say that they are tried in order.  Please consider providing some
>    comparison of the predefined styles: which of them in some sense
>    include or subsume (or partially so) which others.  Give users an
>    idea of which they don't need to include if they include this or that
>    other.
> 
> In general, a little more guidance for users, please.

The text already says quite a lot about that (it is not clear to me
whether you reviewed the latest text, since you don't tell, and the
Emacs version from which you reported this is quite old).  If you have
specific suggestions for more detailed descriptions, please present
them.  Otherwise I see no candidates for picking up the gauntlet, and
we should just close this bug report, because people who work the most
on completion are generally reluctant to document more of their work
in terms that would be understandable by users.